Bug 1128045 - Review Request: perl-IO-Tee - Multiplex output to multiple output handles
Summary: Review Request: perl-IO-Tee - Multiplex output to multiple output handles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Randy Berry
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 07:30 UTC by Nick Bebout
Modified: 2014-09-02 03:56 UTC (History)
4 users (show)

Fixed In Version: perl-IO-Tee-0.64-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 01:30:20 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nick Bebout 2014-08-08 07:30:49 UTC
Spec URL: https://nb.fedorapeople.org/perl-IO-Tee.spec
SRPM URL: https://nb.fedorapeople.org/perl-IO-Tee-0.64-1.fc20.src.rpm
Description: Multiplex output to multiple output handles
Fedora Account System Username: nb

Comment 1 David Dick 2014-08-08 09:54:10 UTC
Hi Nick,

Are you intending to build this package in EPEL5?

Comment 2 Nick Bebout 2014-08-12 03:12:25 UTC
Yes, I would like to build it for EPEL5 also.  It's a dependency for the new version of imapsync which is in EPEL5 also.

Comment 3 Randy Berry 2014-08-12 03:54:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

	License text contained in README file

	"COPYRIGHT"
    "Copyright (c) 1998-2001 Chung-chieh Shan. All rights reserved. This
    program is free software; you can redistribute it and/or modify it
    under the same terms as Perl itself."


[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc. Lic. contained in README file.
[x]: License field in the package spec file matches the actual license.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/perl5/vendor_perl/IO
     (perl-IO-Socket-SSL, perl-IO-HTML, perl-IO-Socket-IP)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
	 Left as packager intends to package for EPEL5.

[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
	 Left as packager intends to package for EPEL5.

[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff). NOTE: Complies with Fedora's naming guidlines for perl modules. 
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).

SRPM was built for F20. Package for review should be filed for rawhide.
Package does successfully build for rawhide.

Rpmlint
-------
Checking: perl-IO-Tee-0.64-1.fc20.noarch.rpm
          perl-IO-Tee-0.64-1.fc20.src.rpm
perl-IO-Tee.noarch: W: spelling-error %description -l en_US printf -> print, prints, print f
perl-IO-Tee.noarch: W: invalid-license CHECK
perl-IO-Tee.src: W: spelling-error %description -l en_US printf -> print, prints, print f
perl-IO-Tee.src: W: invalid-license CHECK
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-IO-Tee
perl-IO-Tee.noarch: W: spelling-error %description -l en_US printf -> print, prints, print f
perl-IO-Tee.noarch: W: invalid-license CHECK
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/rberry/Downloads/1128045-perl-IO-Tee/srpm/perl-IO-Tee.spec	2014-08-11 22:00:05.315777290 -0400
+++ /home/rberry/Downloads/1128045-perl-IO-Tee/srpm-unpacked/perl-IO-Tee.spec	2014-08-08 03:17:50.000000000 -0400
@@ -3,5 +3,5 @@
 Release:        1%{?dist}
 Summary:        Multiplex output to multiple output handles
-License:        GPL+ or Artistic
+License:        CHECK(GPL+ or Artistic)
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/IO-Tee/


Requires
--------
perl-IO-Tee (rpmlib, GLIBC filtered):
    perl
    perl(:MODULE_COMPAT_5.18.2)
    perl(Carp)
    perl(IO::File)
    perl(IO::Handle)
    perl(Symbol)
    perl(strict)
    perl(vars)



Provides
--------
perl-IO-Tee:
    perl(IO::Tee)
    perl-IO-Tee



Source checksums
----------------
http://www.cpan.org/authors/id/K/KE/KENSHAN/IO-Tee-0.64.tar.gz :
  CHECKSUM(SHA256) this package     : 3ed276b1c2d3511338653c2532e73753d284943c1a8f5159ff37fecc2b345ed6
  CHECKSUM(SHA256) upstream package : 3ed276b1c2d3511338653c2532e73753d284943c1a8f5159ff37fecc2b345ed6


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1128045
Buildroot used: fedora-20-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Looks OK to me.


== Approved ==

Comment 4 kc8hfi 2014-08-12 03:59:09 UTC
I would ignore the rpmlint warnings about spelling errors, false positives. Otherwise, I think it looks good to me. 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/kc8hfi/rpmbuild/SPECS/1128045-perl-IO-
     Tee/licensecheck.txt
[X]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/perl5/vendor_perl/IO
     (perl-IO-Socket-SSL, perl-IO-HTML, perl-IO-Async, perl-IO-Socket-IP)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[ ]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-IO-Tee-0.64-1.fc20.noarch.rpm
          perl-IO-Tee-0.64-1.fc20.src.rpm
perl-IO-Tee.noarch: W: spelling-error %description -l en_US printf -> print, prints, print f
perl-IO-Tee.src: W: spelling-error %description -l en_US printf -> print, prints, print f
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-IO-Tee
perl-IO-Tee.noarch: W: spelling-error %description -l en_US printf -> print, prints, print f
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-IO-Tee (rpmlib, GLIBC filtered):
    perl
    perl(:MODULE_COMPAT_5.18.2)
    perl(Carp)
    perl(IO::File)
    perl(IO::Handle)
    perl(Symbol)
    perl(strict)
    perl(vars)



Provides
--------
perl-IO-Tee:
    perl(IO::Tee)
    perl-IO-Tee



Source checksums
----------------
http://www.cpan.org/authors/id/K/KE/KENSHAN/IO-Tee-0.64.tar.gz :
  CHECKSUM(SHA256) this package     : 3ed276b1c2d3511338653c2532e73753d284943c1a8f5159ff37fecc2b345ed6
  CHECKSUM(SHA256) upstream package : 3ed276b1c2d3511338653c2532e73753d284943c1a8f5159ff37fecc2b345ed6


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1128045
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


rpmlint
Checking: perl-IO-Tee-0.64-1.fc20.noarch.rpm
          perl-IO-Tee-0.64-1.fc20.src.rpm
perl-IO-Tee.noarch: W: spelling-error %description -l en_US printf -> print, prints, print f
perl-IO-Tee.src: W: spelling-error %description -l en_US printf -> print, prints, print f
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 5 Christopher Meng 2014-08-12 04:32:11 UTC
Who is the actual reviewer?

And, how can this package get approved?

Missing BR:

perl(Carp)
perl(IO::File)
perl(IO::Handle)
perl(Symbol)
perl(strict)
perl(vars)

Comment 6 Nick Bebout 2014-08-12 10:20:44 UTC
I have added these (although it appears to build fine without them)

Comment 7 Christopher Meng 2014-08-12 10:42:10 UTC
(In reply to Nick Bebout from comment #6)
> I have added these (although it appears to build fine without them)

Where can I see you changes??

It won't build fine when the perl maintainers carve the whole stack up. And they are doing this.

Comment 8 Randy Berry 2014-08-12 17:42:50 UTC
I'll own the mistake. It's my first review of a perl package and I didn't know. It seemed to build fine on all releases so I let it go. Thanks for pointing it out.

Comment 9 Nick Bebout 2014-08-12 22:23:51 UTC
Same URLs

(In reply to Christopher Meng from comment #7)

> (In reply to Nick Bebout from comment #6)
> > I have added these (although it appears to build fine without them)
> 
> Where can I see you changes??
> 
> It won't build fine when the perl maintainers carve the whole stack up. And
> they are doing this.

Comment 10 Christopher Meng 2014-08-13 03:25:18 UTC
Try dropping find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;, if it doesn't work on EPEL5, add it back then.

PACKAGE APPROVED

Comment 11 Nick Bebout 2014-08-13 22:12:57 UTC
New Package SCM Request
=======================
Package Name: perl-IO-Tee
Short Description: Multiplex output to multiple output handles
Upstream URL: http://search.cpan.org/dist/IO-Tee/
Owners: nb
Branches: el5 el6 epel7 f19 f20 f21
InitialCC:

Comment 12 Gwyn Ciesla 2014-08-14 11:53:52 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2014-08-14 23:34:35 UTC
perl-IO-Tee-0.64-1.el6,imapsync-1.592-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-IO-Tee-0.64-1.el6,imapsync-1.592-1.el6

Comment 14 Fedora Update System 2014-08-14 23:40:02 UTC
imapsync-1.592-1.el5,perl-IO-Tee-0.64-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/imapsync-1.592-1.el5,perl-IO-Tee-0.64-1.el5

Comment 15 Fedora Update System 2014-08-14 23:41:08 UTC
imapsync-1.592-1.fc20,perl-IO-Tee-0.64-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/imapsync-1.592-1.fc20,perl-IO-Tee-0.64-1.fc20

Comment 16 Fedora Update System 2014-08-14 23:41:17 UTC
imapsync-1.592-1.fc19,perl-IO-Tee-0.64-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/imapsync-1.592-1.fc19,perl-IO-Tee-0.64-1.fc19

Comment 17 Fedora Update System 2014-08-15 18:58:46 UTC
Package imapsync-1.592-1.el5, perl-IO-Tee-0.64-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing imapsync-1.592-1.el5 perl-IO-Tee-0.64-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2208/imapsync-1.592-1.el5,perl-IO-Tee-0.64-1.el5
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2014-08-27 01:30:20 UTC
imapsync-1.592-1.fc20, perl-IO-Tee-0.64-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-08-27 01:34:57 UTC
imapsync-1.592-1.fc19, perl-IO-Tee-0.64-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-09-02 03:55:48 UTC
imapsync-1.592-1.el5, perl-IO-Tee-0.64-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-09-02 03:56:27 UTC
perl-IO-Tee-0.64-1.el6, imapsync-1.592-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.